<?php
define('FRAMEWORKPATH', BASEPATH . '/vendor/4lt/novaconium');

require_once(BASEPATH . '/vendor/autoload.php');

//Check if config file exists
if (file_exists(BASEPATH . '/App/config.php')) {
    require_once(BASEPATH . '/App/config.php');
} else {
    require_once(FRAMEWORKPATH . '/defaults/App/config.php');
}

// Creates twig and the view() function
require_once(FRAMEWORKPATH . '/src/twig.php');

// Start a Session
require_once(FRAMEWORKPATH . '/src/Session.php');
$session = new Session();

// Load Database Class
require_once(FRAMEWORKPATH . '/src/Database.php');
$db = new Database($config['database']);

// Load a controller
require_once(FRAMEWORKPATH . '/src/Router.php');
$router = new Router();
//$router->debug();
require_once($router->controllerPath);

//write the session
$session->write();