![Novaconium PHP](/_assets/header.svg)

# Novaconium PHP:  A PHP Framework Built from the Past

NovaconiumPHP is a high-performance PHP framework designed with inspiration from classic coding principles. 

Pronounced: Noh-vah-koh-nee-um

Packagist: https://packagist.org/packages/4lt/novaconium 
Master Repo: https://git.4lt.ca/4lt/novaconium

## Getting Started

### Installation 

```bash
mkdir project_name;
cd project_name;
composer require 4lt/novaconium
cp -R vendor/4lt/novaconium/defaults/App/ .
cp -R vendor/4lt/novaconium/defaults/public/ .
```

#### Compose install (debian)

```bash
sudo nala install curl php-cli php-mbstring git unzip
curl -sS https://getcomposer.org/installer -o composer-setup.php
sudo php composer-setup.php --install-dir=/usr/local/bin --filename=composer
rm composer-setup.php
```

## Documentation

* [Docker Setup](https://git.4lt.ca/4lt/novaconium)